package com.simuwang.shiro.core.adapter;

import com.simuwang.shiro.core.ShiroUser;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/6 17:44
 * @description 认证与授权的用户信息适配器（访问数据库和缓存）
 */
public interface LoginAuthAdapter {
    ShiroUser findUserByUsername(String username);

    List<String> findRoleByUserId(Integer userId);

    List<String> findPermissionsByUserId(Integer userId);
}
